.Dd 2019-02-21
.Dt CYCON 1
.Os
.Sh NAME
.Nm cycon
.Nd Connect to Cytube
.Sh SYNOPSIS
.Nm
.Oo
.Fl s
.Ar server
.Oc
.Oo
.Fl h
.Oc
.Fl c
.Ar channel
.Sh DESCRIPTION
.Nm
gives a TUI for viewing a cytube channel.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl s
Use
.Ar server
instead of the default
.Pq Ar cytu.be .
The value is used when fetching
.Dl \&
.Dl http[s]:// Ns Ar server Ns /socketconfig/ Ns Ar channel Ns .json
.Dl http[s]:// Ns Ar server Ns /socket.io
.Dl \&
.It Fl h
Use http instead of https when connecting to
.Ar server .
.It Fl c
Specify the
.Ar channel
to connect to.
.El
.Sh CONTROLS
.Nm
displays two panes. The bottom pane contains a playlist. This
playlist is refreshed every few minutes, although simple changes
such as adding entries or switching files are handled immediately.
.Pp
The top pane contanes either the chat or the URL of the media which
is selected in the bottom pane.
.Pp
At any given moment, the keys you can press are
.Bl -tag -width Ds
.It C
Set the top pane to show the chat.
.It U
Set the top pane to show the URI of whatever entry is selected in
the playlist.
.It K/Up arrow
Scroll up in the playlist.
.It J/down arrow
Scroll down in the playlist.
.It V
Run
.Dl \&
.Dl mpv-with-load-screen --quiet Ar URI
.Dl \&
where
.Ar URI
is given by the currently selected entry in the playlist. No
time-syncing is performed
.Po
you can do that yourself by examining the timer at the bottom of
the playlist
.Pc .
The player does not automatically track playlist changes. Some media
types may cause mpv to hang. You may have to write the
.Pa mpv-with-load-screen
script yourself.
.It D
Run
.Dl \&
.Dl youtube-dl --quiet --no-warnings Ar URI
.Dl \&
where
.Ar URI
is given by the currently selected entry in the playlist. No output
is displayed, so it's up to you to know when the download is complete.
.It Q
Quit.
.El
.Sh BUGS
Not many errors are correctly reported to the user. For example, if
.Ev DISPLAY
is unset in the environment, or if
.Pa mpv-with-load-screen
is not in
.Ev PATH ,
.Sq V
will probably do nothing, silently.
.Sh AUTHORS
.An De Rais Aq Mt derais@cock.li
